> For the complete documentation index, see [llms.txt](https://developer.tiledesk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.tiledesk.com/apis/tutorials/webhooks.md).

# Webhooks

This section proposes a set of tutorial to show some common tasks you can address using this feature.

The main purpose of webhooks is call a user-defined action (in the form of an HTTP endpoint) when specific Tiledesk events occur.

The first tutorial [Custom Request assignment](https://developer.tiledesk.com/apis/tutorials/webhooks/custom-assignment-pooled) addresses an custom assignment every time a new request is moved to a Department's pooled routing schema.

The second tutorial [Request transcript on close](https://developer.tiledesk.com/apis/tutorials/webhooks/get-transcript-on-close) shows how you can get your chat transcript on each closing operation (i.e. for the purpose of sending it to your remote CRM to synchronize conversations)

More tutorials will come, stay tuned!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tiledesk.com/apis/tutorials/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
